1. Seedance2.0 format
PeakkAI-Doc
English
  • 中文
  • English
  • 首页
  • English
    • Home Page
    • PeakkAI-API
      • Model
        • Native OpenAI Format
        • Native Gemini Format
      • Chat
        • Native OpenAI Format
        • Native Gemini Format
        • Native Claude Format
        • Responses Request (openai)
      • Audio
        • Native OpenAI Format TTS
        • Native Gemini Format TTS
      • Images
        • Native OpenAI Format Image Editing (JSON)
        • Native OpenAI Format Image Generation
        • Native OpenAI Format Image Editing (Multipart)
        • Native Gemini Format Image Generation
      • Video
        • Seedance2.0 format
          • Create Video Generation Task
            POST
          • Query Video Generation Task Status
            GET
      • Vector
        • Embeddings
          • Create Embedding
      • Translation
        • Speech Translation
    • AI application
      • PeakkAI API Integration with Claude Code
      • PeakkAI API Integration with Cursor
      • PeakkAI API Integration with Codex-cli
      • PeakkAI API Integration with Codex Desktop
      • PeakkAI API Integration with Hermes Agent
  1. Seedance2.0 format

Query Video Generation Task Status

GET
/v1/video/generations/{task_id}
Poll the progress and results of Seedance 2.0 tasks via GET /v1/video/generations/{task_id}.

请求参数

Path 参数

Header 参数

请求示例代码

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
请求示例请求示例
Shell
JavaScript
Java
Swift
curl --location 'https://api.peakkai.ai/v1/video/generations/' \
--header 'Authorization: Bearer sk-xxxxxxxxxx'

返回响应

🟢200
application/json
Bodyapplication/json

示例
{
    "id": "task_1234567890",
    "task_id": "task_1234567890",
    "object": "video",
    "model": "veo-2",
    "status": "completed",
    "progress": 100,
    "created_at": 1715700000,
    "completed_at": 1715700120,
    "video_url": "https://example.com/outputs/video.mp4",
    "url": "https://example.com/outputs/video.mp4",
    "metadata": {
        "url": "https://example.com/outputs/video.mp4",
        "video_url": "https://example.com/outputs/video.mp4",
        "id": "task_1234567890",
        "status": "completed",
        "usage": {
            "total_tokens": 1000
        }
    },
    "error": {
        "message": "Error message here",
        "code": "ERROR_CODE"
    }
}
🟠400
🟠401
🟠402
🟠429
🔴502
修改于 2026-11-02 09:46:28
上一页
Create Video Generation Task
下一页
Create Embedding
Built with